# If using Nextcloud intensively, consider setting nginx_high_php_limits in:
# /etc/iiab/local_vars.yml

# nextcloud_install: False
# nextcloud_enabled: False

# Configuration tips for IPv4 access controls and tuning RAM/resources:
# https://github.com/iiab/iiab/blob/master/roles/nextcloud/README.md

# All above are set in: github.com/iiab/iiab/blob/master/vars/default_vars.yml
# If nec, change them by editing /etc/iiab/local_vars.yml prior to installing!


# 2020-01-07: If installing IIAB often, download.nextcloud.com may throttle
# you to ~100 kbit/sec, delaying your IIAB install by an hour or more (#2112).
# The following line can avoid that: (but might install an older Nextcloud!)
# nextcloud_dl_url: http://d.iiab.io/packages/latest.tar.bz2
nextcloud_dl_url: https://download.nextcloud.com/server/releases/latest.tar.bz2

nextcloud_url: /nextcloud

nextcloud_base_dir: "{{ doc_base }}"    # /library/www
#nextcloud_base_dir: "{{ doc_root }}"    # /library/www/html
nextcloud_root_dir: "{{ nextcloud_base_dir }}/nextcloud"
#
# 2020-02-16 options...
# /opt/nextcloud <-- Old Nextcloud recommendation
# /var/www/nextcloud <-- Nextcloud recommendation
# /library/nextcloud  <-- Old IIAB recommendation
# /library/www/nextcloud  <-- IIAB RECOMMENDATION FOR NOW ?
# /library/www/html/nextcloud <-- Bad idea?  Security & privacy consequences?
#
# IN ANY CASE, PLEASE VERIFY nextcloud/config/config.php AFTER INSTALLATION!
#
# Nextcloud's default for now--OR PUT PERSONAL DATA ON ANOTHER DRIVE/PARTITION:
nextcloud_data_dir: "{{ nextcloud_root_dir }}/data"    # /library/www/nextcloud


# We install on MySQL with these settings:
nextcloud_dbname: nextcloud
nextcloud_dbuser: nextcloud
nextcloud_dbpassword: nextcloudmysql

nextcloud_admin_user: 'Admin'
nextcloud_admin_password: 'changeme'

# 2020-05-09: Not functional but still templated by templates/nextcloud.conf.j2
nextcloud_required_ip: 10.0.0.0/8 192.168.0.0/16

# 2020-02-15: UNUSED at the time.  Legacy remains from Apache:
# nextcloud_allow_public_ips: True
